Bug 442754 - Java crash in Config Wizard
Java crash in Config Wizard
Status: CLOSED NOTABUG
Product: Dogtag Certificate System
Classification: Community
Component: CA (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-04-16 12:41 EDT by Bob Lord
Modified: 2015-01-04 18:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-28 15:33:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
HTML in my browser when I click Next (1.30 KB, application/octet-stream)
2008-04-16 12:44 EDT, Bob Lord
no flags Details
/var/log/pki-ca/debug (6.81 KB, application/octet-stream)
2008-04-16 12:45 EDT, Bob Lord
no flags Details
/var/log/pki-ca/catalina.out (2.40 KB, application/octet-stream)
2008-04-16 12:45 EDT, Bob Lord
no flags Details

  None (edit)
Description Bob Lord 2008-04-16 12:41:48 EDT
Description of problem:
I'm trying to recreate a CA instance on my desktop.  I've done it successfully
many times, but now I'm getting an HTTP 500 error.  I'm able to get to the
wizard screen called "Requests and Certificates", but when I hit "Next" it dies.
 I'll attach some log output.

Version-Release number of selected component (if applicable):
pki-ca-1.0.0-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Install the CA
2. Go through install wizard
3. At the "Requests and Certificates" page, click Next.
  
Actual results:
Java errors

Expected results:
I should be landing on the next page of the wizard.

Additional info:
Comment 1 Bob Lord 2008-04-16 12:44:17 EDT
Created attachment 302637 [details]
HTML in my browser when I click Next
Comment 2 Bob Lord 2008-04-16 12:45:29 EDT
Created attachment 302639 [details]
/var/log/pki-ca/debug
Comment 3 Bob Lord 2008-04-16 12:45:53 EDT
Created attachment 302640 [details]
/var/log/pki-ca/catalina.out
Comment 4 Jack Magne 2008-04-23 12:58:20 EDT
In case others see this problem, there currently is a workaround:

1. After observing the crash, restart the server:
/etc/init.d/pki-ca restart
2. Retry the wizard from the very beginning using the URL shown on the screen
when originally installing the instance.
If the wizard's pin is needed it can be found here:
/var/lib/pki-ca/alias/CS.cfg
Look for the entry:

preop.pin=XXXXXXXXX

3. This time the wizard should complete successfully and the server should work
just fine.

Note You need to log in before you can comment on or make changes to this bug.